Subject: RE: Proposed Update to Netconf Charter

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Thu, 30 Jun 2005 19:27:03 +0300

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Juergen Schoenwaelder
> Sent: Thursday, June 30, 2005 12:09 AM
> To: Sharon Chisholm
> Cc: [email-masked]
> Subject: Re: Proposed Update to Netconf Charter
> 
> On Wed, Jun 29, 2005 at 04:33:01PM -0400, Sharon Chisholm wrote:
> 
> > "Additional phase 2 work including:
> > 
> > - Requirements and Guidelines for defining Netconf content 
> to enable 
> > interoperable, high-quality and usable netconf implementations. 
> > Requirements will be defined around specification language,  access 
> > control, compliance, backwards compatibility, depicting 
> relationships, 
> > event specification, and application error message specification.
> 
> I also would prefer to talk about "data models" rather than 
> "Netconf content". I would strike out "high-quality and 
> usable" as it does not really help in charter text. I am not 
> sure what "backwards compatibility" 
> means - I guess I know what you have in mind but this phrase 
> can be read in several ways. I rank guidelines on how to 
> write data models high.
> 
> I think access control should not be lumped together with 
> data model specification guidelines. This is really a 
> separate point and I am not sure we are ready to agree how 
> that should be done. I do not rank this very high at the 
> moment and could very well live with postponing this to the 
> 3rd phase once we start to have operational experience.
>  

I agree with Juergen on this. In an ideal world I would see the issue of
access control being dealt with in a common framework with isms, but I
am quite uncertain right now about where isms is - even with respect to
its initial goals. 

Regards,

Dan

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>